Commet
  • Pricing
Log InTry out
Batch create customers POSTCreate customer POSTGet customer GETList customers GETUpdate customer PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Update customer

Update a customer's name, external ID, or metadata.

List customers GET

List customers with cursor-based pagination.

Get feature access GET

Get feature access details. Use action=canUse to check if customer can consume one more unit.

PUT
/customers/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

billingEmail?string
Formatemail
fullName?string
Lengthlength <= 200
timezone?string
Default"UTC"
Value in"UTC" | "America/New_York" | "America/Chicago" | "America/Denver" | "America/Los_Angeles" | "America/Sao_Paulo" | "America/Mexico_City" | "America/Buenos_Aires" | "America/Santiago" | "America/Bogota" | "America/Lima" | "America/Asuncion" | "Europe/London" | "Europe/Paris" | "Europe/Berlin" | "Europe/Madrid" | "Asia/Tokyo" | "Asia/Shanghai" | "Asia/Singapore" | "Asia/Dubai" | "Australia/Sydney"
metadata?
isActive?boolean
address?

Response Body

application/json

curl -X PUT "https://commet.co/api/customers/string" \  -H "Content-Type: application/json" \  -d '{}'

application/json

application/json

Update a customer's name, external ID, or metadata.

{
  "success": true,
  "data": {
    "id": "string",
    "externalId": "string",
    "fullName": "string",
    "billingEmail": "string",
    "timezone": "string",
    "metadata": {
      "property1": null,
      "property2": null





{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}
{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}
},
"isActive": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}